aboutsummaryrefslogtreecommitdiffstats
path: root/git-clone.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-09-23 10:41:40 -0700
committerJunio C Hamano <junkio@cox.net>2005-09-24 11:26:22 -0700
commit229a7ed7ab3111b99fe6fb05c50c6687ae64c2b1 (patch)
tree927ade5f4b4aa0be61d1edd9f1d9fc79cffcaac6 /git-clone.sh
parent6d9bbc50a3c57394261605f10942ce3af61e5e36 (diff)
downloadgit-229a7ed7ab3111b99fe6fb05c50c6687ae64c2b1.tar.gz
Solaris: give a bit more built-in defaults.
Taking the make command line Peter Eriksen uses, give defaults to SHELL_PATH, TAR, CURLDIR, NO_STRCASESTR, and INSTALL. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 44135f489d..a322a45995 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -139,7 +139,8 @@ yes,yes)
then
HEAD=HEAD
fi
- tar Ccf "$repo" - refs $HEAD | tar Cxf "$D/.git" - || exit 1
+ (cd "$repo" && tar cf - refs $HEAD) |
+ (cd "$D/.git" && tar xf -) || exit 1
;;
*)
case "$repo" in